#ifndef SINGLETON_H
#define SINGLETON_H

namespace cbk
{
	template<typename Object>
	class Singleton
	{
	public:
		inline static Object& Instance(void)
		{
			static Object theSingleInstance;  // assumes T has a protected default constructor
			return theSingleInstance;
		}
	};
}

#endif //SINGLETON_H